SPI_freeplan
Prev | Up | 47.3. Memory Management | Home | Next

## SPI_freeplan

SPI_freeplan — free a previously saved prepared statement

## Synopsis

    int SPI_freeplan(SPIPlanPtr plan)

## Description

`SPI_freeplan` releases a prepared statement previously returned by `SPI_prepare` or saved by `SPI_keepplan` or `SPI_saveplan`.

## Arguments

`SPIPlanPtr `plan``

  pointer to statement to free

## Return Value

0 on success; `SPI_ERROR_ARGUMENT` if `plan` is `NULL` or invalid

Prev | Up | Next
SPI_freetuptable | Home | 47.4. Transaction Management